<div>
    <form class="register-form m-4" [formGroup]="formSalon">
        <div class="container">
            <div class="row">
                <div class="col-sm-4"></div>
                <div class="col-sm-4" id="primero">
                    <label style="color: #fda201;" > <b> INFORMACION DEL LOCAL </b></label>
                </div>
                <div class="col-sm-4"></div>
            </div>
        </div>
        <hr>
        <div class="container">
            <div class="row" >
                <div class="col-sm-4" style="margin-top: 2vh;">
                    <label style="color: #fda201;"> <b>DATOS USUARIO</b></label>
                </div>
                <div class="col-sm-4"></div>
                <div class="col-sm-4"></div>
            </div>
            <div class="container">
                <div class="row">
                    <div class="col-sm-6" >
                        <div class="form-group" style="margin-top: 2vh;">
                            <label for="staticEmail" class="col-sm-12 col-form-label">Nombre:</label>
                            <div class="form-group col-sm-10">
                                <input class="form-control form-control-sm" type="text" 
                                formControlName="nombreusuario" onkeydown="return /[a-z, ]/i.test(event.key)">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-1"></div>
                    <div class="col-sm-5">
                        <div class="form-group" style="margin-top: 2vh;">
                            <label for="staticEmail" class="col-sm-12 col-form-label">Documento Nacional de Identidad:</label>
                            <div class="form-group col-sm-12">
                                <input class="form-control form-control-sm" type="number" formControlName="dni">
                            </div>
                            <div class="err" *ngIf="f.dni.errors">
                                <div *ngIf="f.dni.errors.required">
                                  <small>*Nro de
                                    DNI requerido</small>
                                </div>
                                <div *ngIf="f.dni.errors.pattern">
                                  <small>*Ingrese un DNI válido</small>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row" >
                <div class="col-sm-4" style="margin-top: 2vh;">
                    <label style="color: #fda201;"> <b>DATOS SALON</b></label>
                </div>
                <div class="col-sm-4"></div>
                <div class="col-sm-4"></div>
            </div>
            <div class="container">
                <div class="row">
                    <div class="col-sm-6" >
                        <div class="form-group" style="margin-top: 2vh;">
                            <label for="staticEmail" class="col-sm-12 col-form-label">Nombre del local:</label>
                            <div class="form-group col-sm-10">
                                <input class="form-control form-control-sm" type="text" formControlName="nombrelocal"
                                onkeydown="return /[a-z, ]/i.test(event.key)">
                            </div>
                        </div>
                        <div class="form-group" style="margin-top: 2vh;">
                            <label for="staticEmail" class="col-sm-12 col-form-label">Servicios adicionales:</label>
                            <div class="form-group col-sm-10">
                                <input class="form-control form-control-sm" type="text" formControlName="serviciosadicionales"
                                onkeydown="return /[a-z, ]/i.test(event.key)">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-1"></div>
                    <div class="col-sm-5">
                        <div class="form-group" style="margin-top: 2vh;">
                            <label for="staticEmail" class="col-sm-12 col-form-label">Descripción:</label>
                            <div class="form-group col-sm-12">
                                <textarea class="form-control"  type="text" id="exampleFormControlTextarea1" rows="4" formControlName="descripcion"></textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="container">
                <div class="row" style="margin-top: 2vh;">
                    <div class="col-sm-3">
                        <div class="form-group">
                            <label class="col-sm-12 col-form-label">Capacidad máxima:</label>
                            <div class="form-group col-sm-8">
                                <input min="0" oninput="validity.valid||(value='');"  class="form-control form-control-sm" type="number" formControlName="capacidadmaxima">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <div class="form-group">
                            <label class="col-sm-12 col-form-label">Precio por día:</label>
                            <div class="form-group col-sm-8">
                                <input min="0" oninput="validity.valid||(value='');" class="form-control form-control-sm" type="number" formControlName="preciopordia">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-1"></div>
                    <div class="col-sm-5">
                        <div class="form-group">
                            <label class="col-sm-12 col-form-label">Adjuntar fotos</label>
                            <div class="form-group col-sm-12">
                                <input type="file" class="form-control" formControlName="adjuntarfotos" id="exampleFormControlFile1" multiple>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row" style="margin-top: 2vh;">
                <div class="col-sm-4">
                    <label style="color: #fda201;"><b>UBICACIÓN</b></label>
                </div>
                <div class="col-sm-4"></div>
                <div class="col-sm-4"></div>
            </div>
            <div class="container">
                <div style="margin-top: 2vh;">
                    <div class="col-sm-2">
                        <div class="col-sm-12" >
                            <label class="col-sm-12 col-form-label">Ubicación actual:</label>
                        </div>
                    </div>
                    <div class="col-sm-12" >
                        <div class="row">
                            <div class="form-group col-sm-4 hijo" >
                                <select class="form-select form-select-sm" formControlName="region" aria-label=".form-select-sm example">
                                    <option selected>Región</option>
                                    <option value="1">One</option>
                                    <option value="2">Two</option>
                                    <option value="3">Three</option>
                                </select>
                            </div>
                            <div class="form-group col-sm-4 hijo">

                                <select class="form-select form-select-sm" formControlName="provincia" aria-label=".form-select-sm example">
                                    <option selected>Provincia</option>
                                    <option value="1">One</option>
                                    <option value="2">Two</option>
                                    <option value="3">Three</option>
                                </select>
                            </div>
                            <div class="form-group col-sm-4 hijo">

                                <select class="form-select form-select-sm" formControlName="distrito" aria-label=".form-select-sm example">
                                    <option selected>Distrito</option>
                                    <option value="1">One</option>
                                    <option value="2">Two</option>
                                    <option value="3">Three</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group" style="margin-top: 2vh;">
                    <label class="col-sm-12 col-form-label">Dirección actual:</label>
                    <div class="form-group col-sm-12">
                        <input class="form-control form-control-sm" type="text" formControlName="direccionactual">
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row" style="margin-top: 2vh;">
                <div class="col-sm-4">
                    <label style="color: #fda201;" ><b>CONTACTO</b></label>
                </div>
                <div class="col-sm-4"></div>
                <div class="col-sm-4"></div>
            </div>
            <div class="container">
                <div class="row" >
                    <div class="col-sm-6"  >
                        <div class="form-group" style="margin-top: 2vh;">
                            <label for="staticEmail" class="col-sm-12 col-form-label">Celular:</label>
                            <div class="form-group col-sm-10">
                                <input class="form-control form-control-sm" type="number" formControlName="celular">
                            </div>
                            <div class="err" *ngIf="f.celular.errors">
                                <div *ngIf="f.celular.errors.required">
                                  <small>*Nro de
                                    celular requerido</small>
                                </div>
                                <div *ngIf="f.celular.errors.pattern ">
                                  <small>*Ingrese un número válido</small>
                                </div>
                            </div>
                        </div>
                        <div class="form-group" style="margin-top: 2vh;">
                            <label for="staticEmail" class="col-sm-12 col-form-label">Correo electronico:</label>
                            <div class="form-group col-sm-10">
                                <input class="form-control form-control-sm" type="text" formControlName="correoelectronico">
                            </div>
                            <div class="err" *ngIf="f.correoelectronico.errors">
                                <div *ngIf="f.correoelectronico.errors.required">
                                  <small>*Correo electronico requerido</small>
                                </div>
                                <div *ngIf="f.correoelectronico.errors.email">
                                  <small>*Ingrese un correo válido</small>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-1"></div>
                    <div class="col-sm-5">
                        <div class="form-group" style="margin-top: 2vh;">
                            <label for="staticEmail" class="col-sm-12 col-form-label">Teléfono:</label>
                            <div class="form-group col-sm-12">
                                <input class="form-control form-control-sm" type="number" formControlName="telefono">
                            </div>
                            
                        </div>
                        <div class="form-group" style="margin-top: 2vh;">
                            <label for="staticEmail" class="col-sm-12 col-form-label">Otra forma contacto:</label>
                            <div class="form-group col-sm-12">
                                <input class="form-control form-control-sm" type="number" formControlName="otraformacontacto">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row" style="margin-top: 3vh;">
                <div class="col-sm-5"></div>
                <div class="col-sm-5"></div>
                <div class="row col-sm-2">
                    <div class="col-sm-5"></div>
                    <div class="col-sm-6">
                        <button type="button" class="btn btn-primary" style="color: black;" (click)="ConfirmarSalon()" [disabled]="!formSalon.valid"> GUARDAR</button>
                    </div> 
                </div>
            </div>
        </div>
    </form>
</div>
